## `operator==`

Compare two arrays for equality.

### Synopsis

Defined in header <boost/json/array.hpp>.

    bool
    operator==(
        array const& lhs,
        array const& rhs) noexcept;

### Description

Arrays are equal when their sizes are the same, and they are element-for-element equal in order.

### Complexity

Linear in `lhs.size()`.

### Exception Safety

No-throw guarantee.

Convenience header <boost/json.hpp>

Edit this page